/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/fs/fs.hpp>

#include <studio/undostack.hpp>

#include <jasper/world/worldobject.hpp>

namespace jasper::world {

class AddPalette: public studio::UndoCommand {
	private:
		WorldObjectSet &m_doc;
		ox::FileAddress m_palAddr;
	public:
		AddPalette(WorldObjectSet &doc, ox::FileAddress palAddr) noexcept;
		ox::Error redo() noexcept override;
		ox::Error undo() noexcept override;
		[[nodiscard]]
		int commandId() const noexcept override;
};

}
